## HFish 说明：

### 一、安装说明

#### 1.1 linux安装说明

到官网 https://hfish.io   下载HFish最新版本安装包 hfish-2.6.0-linux-amd64.tar.gz （或arm版本，以下为amd64的示例），按如下步骤进行安装 （以linux64位系统为例）：

第一步： 在当前目录创建一个路径解压安装包

```
mkdir hfish
```

第二步：使用tar攻击解压安装包到指定目录

```
tar zxvf hfish-2.6.0-linux-amd64.tar.gz -C hfish
```

第三步：请防火墙开启4433或者4434，确认返回success（如果有其他服务需要打开端口，使用相同命令打开。

```
firewall-cmd --add-port=4433/tcp --permanent
firewall-cmd --add-port=4434/tcp --permanent
firewall-cmd --reload
```

第三步：进入安装目录直接运行server，或者后台运行 nohup ./server &

```
cd hfish
nohup ./server &
```



#### 1.2 windwos安装说明

windows环境，下载hfish-2.6.0-windows-amd64.tar.gz 安装包进行解压， 然后运行 ./server.exe 即可



### 二、升级说明

1>  如果您是v2.4.0之前的版本，建议进行重装，因为V2.4.0版本开始做了较大的底层优化，兼顾修复了稳定性与安全性。

2>  在您安装v2.6.0完毕后，可以后台放通访问我们的官网，这样可以当有新版本可以自动检测下载，然后支持web端一键升级。或者直接到我们官网下载最新版本的安装包，在页面右上角的「火箭」图标，上传安装包，进行升级。



### 三、数据库说明

HFish系统默认使用的sqlite数据库，具体见 db/hfish.db（自带的已经初始化好的db），相关的初始化脚本见 db/sql/sqlite/V2.6.0__sqlite.sql 。
如果您想要重置 hfish.db， 可以通过下面命令生成新的 db 文件（请确保安装了sqlite3数据库）。 替换 db/hfish.db 即可。

```
sqlite3 hfish.db < db/sql/sqlite/V2.6.0__sqlite.sql
```



同时也支持mysql数据库，相关的初始化脚本见 db/sql/mysql/V2.6.0__mysql.sql。

如果您想要切换到mysql数据库，可以进行以下操作（请确认已经安装了mysql数据库，推荐5.7及以上版本）

1> 初始化数据库

linux环境可以在命令行执行下述命令，然后输入密码（root用户密码）。

```
mysql -u root -p < db/sql/mysql/V2.6.0__mysql.sql
```

windows环境可以使用远程连接工具（比如sqlyog等）导入db/sql/V2.6.0__mysql.sql 脚本。



2> 修改config.ini配置文件，数据库的连接方式，主要需要修改type和url，如下：

```
[database]
type = mysql
max_size = 20
url = root:HFish316@tcp(:3306)/hfish?charset=utf8&parseTime=true&loc=Local

# type = sqlite3
# max_size = 1
# url = ./db/hfish.db?cache=shared&mode=rwc
```



### 四、用户名密码说明：

默认用户名密码为： **admin / HFish2021**

可以通过后台提供的tools工具进行重置密码:    **./tools  resetpwd admin**



如果您遇到其他使用上的问题，可以访问我们的官网 https://hfish.io ，来查阅我们的官方文档，或者加入官方微信群与我们交流。

